OpenVDB 11.0.0

Loading...
Searching...
No Matches
D1< BD_2ND > Struct Reference

`#include <openvdb/math/FiniteDifference.h>`

## Static Public Member Functions
template<typename ValueType>
static ValueType | difference (const ValueType &xm2, const ValueType &xm1, const ValueType &xm0)
template<typename Accessor>
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor>
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil>
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil>
static Stencil::ValueType | inZ (const Stencil &S)

## Member Function Documentation

## ◆ difference()

template<typename ValueType>

ValueType difference | ( | const ValueType & | xm2,
|  | const ValueType & | xm1,
|  | const ValueType & | xm0 )
| inline static

## ◆ inX() [1/2]

template<typename Accessor>

Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inline static

## ◆ inX() [2/2]

template<typename Stencil>

Stencil::ValueType inX | ( | const Stencil & | S | ) |
| inline static

## ◆ inY() [1/2]

template<typename Accessor>

Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inline static

## ◆ inY() [2/2]

template<typename Stencil>

Stencil::ValueType inY | ( | const Stencil & | S | ) |
| inline static

## ◆ inZ() [1/2]

template<typename Accessor>

Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk )
| inline static

## ◆ inZ() [2/2]

template<typename Stencil>

Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| inline static